1.0
1.0
get /v1/organization-units
Description
get organization unit list
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | organization_id optional | 조직 ID Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5 | any of [string, null] | None |
| query | parent_unit_id required | ROOT 또는 부모 조직 단위 ID Example : ou-fc8c29a138d78e24bf1fa86812fc8b | string | None |
| query | name optional | 조직 단위명 Example : score-organization-unit | any of [string, null] | None |
| query | exclude_policy_id optional | 제외할 정책 ID Example : 238c2fc8c29a449dbfa8681f8f1d78e2 | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | OrganizationUnitListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/organization-units?parent_unit_id={parent_unit_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = organization 1.0"
Example HTTP response
Response 200
{
"organization_units": [
{
"created_at": "2024-12-19 01:09:05.000",
"depth": 1,
"email": "score@samsung.com",
"id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8",
"joined_method": "INVITED",
"joined_time": "2024-05-17T12:34:56.789Z",
"login_id": "log-archive@samsung.com",
"name": "score-organization-unit",
"organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
"parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
"type": "MEMBER"
}
]
}